package ru.dbotthepony.kstarbound.server.network.packets

import ru.dbotthepony.kstarbound.network.IServerPacket
import ru.dbotthepony.kstarbound.server.network.ServerConnection
import ru.dbotthepony.kstarbound.io.readVec2d
import ru.dbotthepony.kstarbound.io.writeVec2d
import ru.dbotthepony.kvector.vector.Vector2d
import java.io.DataInputStream
import java.io.DataOutputStream

data class TrackedPositionPacket(val pos: Vector2d) : IServerPacket {
	constructor(stream: DataInputStream) : this(stream.readVec2d())

	override fun write(stream: DataOutputStream) {
		stream.writeVec2d(pos)
	}

	override fun play(connection: ServerConnection) {
		connection.trackedPosition = pos
	}
}