package ru.dbotthepony.kstarbound.world.api

data class ImmutableCell(
	override val foreground: ImmutableTileState = AbstractTileState.EMPTY,
	override val background: ImmutableTileState = AbstractTileState.EMPTY,
	override val liquid: ImmutableLiquidState = AbstractLiquidState.EMPTY,

	override val dungeonId: Int = 0,
	override val biome: Int = 0,
	override val envBiome: Int = 0,
	override val isIndestructible: Boolean = false,
) : AbstractCell() {
	override fun immutable(): ImmutableCell {
		return this
	}

	override fun mutable(): MutableCell {
		return MutableCell(foreground.mutable(), background.mutable(), liquid.mutable(), dungeonId, biome, envBiome, isIndestructible)
	}
}
